die-hoechste-form

Joomla 2.5 erfreut sich nach wie vor großer Beliebtheit. Dennoch ist das Ende der offiziellen Unterstützung nun erreicht. Mit dem im Dezember 2014 veröffentlichten Wartungsrelease 2.5.28 lieferte das Projekt letztmalig ein Update für den älteren Joomla Versionszweig aus. Was bedeutet das für Anwender die bisher noch nicht die Umstellung auf Joomla 3.x durchgeführt haben?

Man muß sich jetzt mit der Zukunft der eigenen Seite zeitnah auseinandersetzen und bald aktiv werden. Denn offizielle Fehlerkorrekturen und Sicherheitspatches für Joomla 2.5 wird es in Zukunft keine mehr geben.

Wir empfehlen die Migration auf Joomla 3. Die neuste Joomla Version verrichtet dank der verbesserten Codebasis seine Dienste flinker, hat verbesserte Sicherheitsmerkmale und exklusive Features wie Versionierung, Support für Microdata und Tags und unzählige andere Verbesserungen.

Jeder Anwender sollte nun also der Tatsache ins Auge sehen, daß er jetzt auf nicht länger aktiv unterstützte Software zurückgreift. Erweiterungen aus der Community werden sicherlich noch ein paar Monate länger gewartet und aktualisiert, aber nach dem offiziellen Ende des Supports, ist mit einem abnehmenden Anteil an Joomla 2.5 Installationen zu rechnen und irgendwann wird sich jeder Entwickler fragen, ob es sich noch lohnt, dafür den entsprechenden Support anzubieten. Verantwortungsbewußte Anwender können also nur kurzfristig die fällige Aktualisierung ihrer Seiten auf Joomla 3 aufschieben, mittel- und langfristig stellt dies jedoch keine ernsthafte Option dar.

Das Upgrade (Migration) der Kernbestandteile ist in aller Regel bei kleinen bis mittelgroßen Seiten ohne allzu großen Aufwand erledigt. Eventuelle Tücken welche eine Umstellung verkomplizieren können, lauern jedoch bei den genutzten Drittanbieter-Erweiterungen. Die sorgfältige Planung der Migration ist deshalb hierbei die halbe Miete.

 

Man muss von Fall zu Fall unterscheiden und gegebenenfalls zuvor die jeweilige Entwicklerseite konsultieren. Es gibt Erweiterungen welche für eine Umstellung auf Joomla 3.x bereits vorbereitet sind und sich mit geringem Aufwand aktualisieren lassen und es gibt Erweiterungen bei denen man als Anwender einen vom Entwickler fest definierten Pfad beschreiten muß.

Es ist ebenfalls unerläßlich im Vorfeld zu überprüfen ob die bisher genutzte Serverumgebung auch kompatibel zu Joomla 3 ist. Gab sich Joomla 2.5 noch mit der Kombination aus PHP 5.2.4 / MySQL 5.0.4 zufrieden, lautet die geänderte Mindestanforderung für die zukünftige Seite nun PHP 5.3.10 / MySQL 5.1.0.

Kontakt

team mcs GmbH
Tretenhofstr. 49
77960 Seelbach

Tel. 07823 / 979 22207823 / 979 222
Fax 07823 / 979226
E-Mail: info@teammcs.de

Leistungen

Service

to top

© team mcs GmbH 2018